# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "fakecloud-sdk"
version = "0.15.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Client SDK for fakecloud — local AWS cloud emulator"
homepage = "https://fakecloud.dev"
readme = "README.md"
license = "AGPL-3.0-or-later"
repository = "https://github.com/faiscadev/fakecloud"

[lib]
name = "fakecloud_sdk"
path = "src/lib.rs"

[dependencies.percent-encoding]
version = "2"

[dependencies.reqwest]
version = "0.13"
features = ["json"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dev-dependencies.tokio]
version = "1"
features = [
    "macros",
    "rt-multi-thread",
    "net",
    "io-util",
    "time",
    "signal",
    "sync",
    "process",
    "fs",
    "rt-multi-thread",
    "macros",
]
